unit OptionsUnit;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ComCtrls;

type
  TOptionsForm = class(TForm)
    Label1: TLabel;
    PassEdit: TEdit;
    Button1: TButton;
    Button2: TButton;
    Label2: TLabel;
    PassEdit1: TEdit;
    Label3: TLabel;
    TrackBar1: TTrackBar;
    procedure FormCloseQuery(Sender: TObject; var CanClose: Boolean);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  OptionsForm: TOptionsForm;

implementation

{$R *.dfm}

procedure TOptionsForm.FormCloseQuery(Sender: TObject;
  var CanClose: Boolean);
begin
 CanClose:=false;
 if PassEdit.Text=PassEdit1.Text then//Проверяю, если пароль равен подтверждению, то можно закрывать окно
  CanClose:=true
 else
  Application.MessageBox('Пароль не соответствуют подтверждению', 'Ошибка');
end;

end.
